## fvwm3 1.0.5+ds

=== bin/FvwmPrompt/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# bin/FvwmPrompt/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/fvwm3
pkgincludedir = $(includedir)/fvwm3
pkglibdir = $(libdir)/fvwm3
pkglibexecdir = $(libexecdir)/fvwm3
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = bin/FvwmPrompt
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/home/n6tadam/projects/fvwm/fvwm3/etc/missing' aclocal-1.16
ALL_DOMAINS = fvwm  FvwmScript
ALL_LINGUAS = ar da de fr sv_SE zh_CN ru es
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR_FLAGS = 
ASCIIDOC = asciidoctor
AUTOCONF = ${SHELL} '/home/n6tadam/projects/fvwm/fvwm3/etc/missing' autoconf
AUTOHEADER = ${SHELL} '/home/n6tadam/projects/fvwm/fvwm3/etc/missing' autoheader
AUTOMAKE = ${SHELL} '/home/n6tadam/projects/fvwm/fvwm3/etc/missing' automake-1.16
AWK = gawk
Bidi_CFLAGS = 
Bidi_LIBS = -lfribidi
CATALOGS =  ar.gmo da.gmo de.gmo fr.gmo sv_SE.gmo zh_CN.gmo ru.gmo es.gmo
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Wall -Wno-implicit-int -fno-common -Wno-error=format-security -g -O2 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-4 -pthread 
CPP = gcc -E
CPPFLAGS = 
CSCOPE = cscope
CTAGS = ctags
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DUMMYPOFILES =  fvwm.ar.nop FvwmScript.ar.nop fvwm.da.nop FvwmScript.da.nop fvwm.de.nop FvwmScript.de.nop fvwm.fr.nop FvwmScript.fr.nop fvwm.sv_SE.nop FvwmScript.sv_SE.nop fvwm.zh_CN.nop FvwmScript.zh_CN.nop fvwm.ru.nop FvwmScript.ru.nop fvwm.es.nop FvwmScript.es.nop
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ETAGS = etags
EXEEXT = 
FC_CFLAGS = -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-4 -pthread 
FC_CONFIG = no
FC_LIBS = -lfontconfig -lfreetype 
FRIBIDI_CONFIG = /usr/bin/pkg-config fribidi
FVWMHOMEPAGE = http://fvwm.org/
FVWMLIST = fvwm@fvwm.org
FVWMNAMELONG = F? Virtual Window Manager
FVWMSCRIPT_DOMAIN = FvwmScript
FVWMTASKBAR_DOMAIN = 
FVWMWORKERSLIST = fvwm-workers@fvwm.org
FVWMWORKERSLISTLONG = fvwm workers list <fvwm-workers@fvwm.org>
FVWM_CONFDIR = ${sysconfdir}
FVWM_DATADIR = ${datadir}/fvwm3
FVWM_DOCDIR = ${datadir}
FVWM_DOMAIN = fvwm
FVWM_IMAGEPATH = /usr/include/X11/bitmaps:/usr/include/X11/pixmaps
FVWM_MODULEDIR = ${libexecdir}/fvwm3/1.0.5
FVWM_PERLLIB = perllib
FVWM_PERLLIBDIR = ${datadir}/fvwm3/perllib
GDK_IMLIB_CFLAGS = 
GDK_IMLIB_LIBS = 
GMOFILES =  fvwm.ar.gmo FvwmScript.ar.gmo fvwm.da.gmo FvwmScript.da.gmo fvwm.de.gmo FvwmScript.de.gmo fvwm.fr.gmo FvwmScript.fr.gmo fvwm.sv_SE.gmo FvwmScript.sv_SE.gmo fvwm.zh_CN.gmo FvwmScript.zh_CN.gmo fvwm.ru.gmo FvwmScript.ru.gmo fvwm.es.gmo FvwmScript.es.gmo
GMSGFMT = /usr/bin/msgfmt
GO = 
GREP = /usr/bin/grep
IMLIBCONF = no
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INST_LINGUAS =  ar da de fr sv_SE zh_CN ru es
ISRELEASED = 
LDFLAGS = 
LIBOBJS = 
LIBS =  -lfontconfig -lfreetype 
LN_S = ln -s
LOCALEDIR = ${datadir}/fvwm3/locale
LTLIBOBJS = 
MAKEINFO = ${SHELL} '/home/n6tadam/projects/fvwm/fvwm3/etc/missing' makeinfo
MANPAGE_PREAMBLE = .\" WARNING: This file was automatically generated.  Edit the .in file instead.
MKDIR_P = /usr/bin/mkdir -p
MKINSTALLDIRS = ./etc//mkinstalldirs
MSGFMT = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
MSGUNIQ = /usr/bin/msguniq
OBJEXT = o
PACKAGE = fvwm3
PACKAGE_BUGREPORT = fvwm-workers@fvwm.org
PACKAGE_NAME = fvwm3
PACKAGE_STRING = fvwm3 1.0.5
PACKAGE_TARNAME = fvwm3
PACKAGE_URL = 
PACKAGE_VERSION = 1.0.5
PATH_SEPARATOR = :
PERL = /usr/bin/perl
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
POFILES =  fvwm.ar.po FvwmScript.ar.po fvwm.da.po FvwmScript.da.po fvwm.de.po FvwmScript.de.po fvwm.fr.po FvwmScript.fr.po fvwm.sv_SE.po FvwmScript.sv_SE.po fvwm.zh_CN.po FvwmScript.zh_CN.po fvwm.ru.po FvwmScript.ru.po fvwm.es.po FvwmScript.es.po
POSUB = po
PYTHON = /usr/bin/python3
RANLIB = ranlib
RELDATELONG = 28 September 22
RELDATENUM = 22-09-28
RELDATESHORT = 28-Sep-22
REQUIRED_PERL_VERSION = 5.004
REQUIRED_PYTHON_VERSION = 3.0
SED = sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
UPDATEPOFILES =  fvwm.ar.po-update FvwmScript.ar.po-update fvwm.da.po-update FvwmScript.da.po-update fvwm.de.po-update FvwmScript.de.po-update fvwm.fr.po-update FvwmScript.fr.po-update fvwm.sv_SE.po-update FvwmScript.sv_SE.po-update fvwm.zh_CN.po-update FvwmScript.zh_CN.po-update fvwm.ru.po-update FvwmScript.ru.po-update fvwm.es.po-update FvwmScript.es.po-update
USE_NLS = yes
VERSION = 1.0.5
VERSIONINFO = released
XFT_CFLAGS = -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-4 -pthread 
XFT_CONFIG = no
XFT_LIBS = -lXft 
XGETTEXT = /usr/bin/xgettext
XMKMF = 
XRandR_CFLAGS = 
XRandR_LIBS = -lXrandr
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBS = 
X_PRE_LIBS =  -lSM -lICE
Xcursor_CFLAGS = 
Xcursor_LIBS = -lXcursor
Xft_CFLAGS = -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-4 -pthread 
Xft_LIBS = -lXft 
Xrender_CFLAGS = 
Xrender_LIBS = -lXrender
abs_builddir = /home/n6tadam/projects/fvwm/fvwm3/bin/FvwmPrompt
abs_srcdir = /home/n6tadam/projects/fvwm/fvwm3/bin/FvwmPrompt
abs_top_builddir = /home/n6tadam/projects/fvwm/fvwm3
abs_top_srcdir = /home/n6tadam/projects/fvwm/fvwm3
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
freetype_CFLAGS = -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-4 -pthread 
freetype_LIBS = -lfreetype 
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
iconv_CFLAGS = 
iconv_LIBS = 
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/n6tadam/projects/fvwm/fvwm3/etc/install-sh
intl_CFLAGS = 
intl_LIBS = 
libdir = ${exec_prefix}/lib
libevent_CFLAGS = 
libevent_LIBS = -levent 
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
png_CFLAGS = -I/usr/include/libpng16 
png_LIBS = -lpng16 -lz 
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
readline_CFLAGS = 
readline_LIBS = -lreadline -lncurses
rsvg_CFLAGS = -I/usr/include/librsvg-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-4 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng16 -I/usr/include/cairo -I/usr/include/lzo -I/usr/include/freetype2 -I/usr/include/harfbuzz -I/usr/include/pixman-1 -pthread 
rsvg_LIBS = -lrsvg-2 -lm -lgio-2.0 -lgdk_pixbuf-2.0 -lgobject-2.0 -lglib-2.0 -lcairo -lpng16 -lz 
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
with_bidi = yes
with_gdkimlib = no
with_gettext = yes
with_iconv = yes
with_perllib = yes
with_png = yes
with_readline = yes
with_rsvg = yes
with_shape = yes
with_shm = yes
with_sm = yes
with_xcursor = yes
with_xft = yes
with_xpm = yes
with_xrandr = 
with_xrender = yes
xpm_CFLAGS = 
xpm_LIBS = -lXpm
xrandr_CFLAGS = 
xrandr_LIBS = -lXrandr 
xt_CFLAGS = 
xt_LIBS = -lXt -lX11 
#GOCMD = go
#GOBUILD = $(GOCMD) build
#GOFLAGS = -ldflags="-s -w"
#GOCLEAN = $(GOCMD) clean
#BINARY_NAME = FvwmPrompt
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \

=== debian/changelog ===
fvwm3 (1.0.5+ds-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 01 Oct 2022 16:36:32 -0700

fvwm3 (1.0.5+ds-1) unstable; urgency=low

  * New upstream release.
  * Remove patches that have been applied upstream.
  * Update NEWS file to mention manual page change.
  * Fix broken debian/watch file.
  * Remove bin/FvwmPrompt/FvwmPrompt from Files-Excluded
    in debian/copyright (file is no longer in upstream tar).
  * Update lintian overrides to match format changes.
  * Add patch to remove doc/fvwm3_manpage_source.adoc from
    being built (this is not a standalone manual page).
  * Fix spelling errors found by lintian.
  * Bump standards version to 4.6.1.

 -- Jaimos Skriletz <jaimosskriletz@gmail.com>  Wed, 28 Sep 2022 22:00:00 -0700

=== debian/control ===
Source: fvwm3
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jaimos Skriletz <jaimosskriletz@gmail.com>
Rules-Requires-Root: no
Build-Depends: asciidoctor,
               debhelper (>= 13.0.0),
               debhelper-compat (= 13),
               file,
               fontconfig,
               gettext,
               libevent-dev,
               libfontconfig-dev | libfontconfig1-dev,
               libfreetype-dev | libfreetype6-dev,
               libfribidi-dev (>= 0.10.7),
               libncurses-dev | libncurses5-dev,
               libpng-dev,
               libreadline-dev | libreadline6-dev | libreadline5-dev,
               librsvg2-dev (>= 2.13.92),
               libsm-dev,
               libx11-dev,
               libxcursor-dev,
               libxext-dev,
               libxft-dev,
               libxi-dev,
               libxpm-dev,
               libxrandr-dev,
               libxrender-dev,
               libxt-dev,
               pkg-config
Standards-Version: 4.6.1
Homepage: https://www.fvwm.org/
Vcs-Browser: https://github.com/somiaj/fvwm3-debian
Vcs-Git: https://github.com/somiaj/fvwm3-debian.git

Package: fvwm3
Architecture: any
Depends: libperl4-corelibs-perl, ${misc:Depends}, ${shlibs:Depends},
         lxmenu-data | gnome-menus, python3, python3-xdg
Suggests: stalonetray
Provides: x-window-manager
Description: F(?) Virtual Window Manager
 FVWM3 is a powerful ICCCM2 compliant multiple virtual desktop window manager
 for the X Window System. FVWM3 is the successor to FVWM 2.x, which was
 originally (a looooong time ago!) derived from TWM. FVWM3 is intended to have
 a small memory footprint but a rich feature set, be extremely customizable
 and extendible, and have a high degree of Motif MWM compatibility.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

override_dh_auto_configure:
	dh_auto_configure -- --verbose --disable-imlibtest --with-imlib-prefix=/no/dir --with-readline-library=yes --enable-mandoc --program-transform-name='/vwm[^3]/ s/vwm/vwm3/'

override_dh_install:
	dh_install

override_dh_installman:
	dh_installman
	# Remove FvwmPrompt manual page, since binary isn't included.
	cd $(CURDIR)/debian/fvwm3/usr/share/man/man1 && rm Fvwm3Prompt.1

override_dh_installdocs:
	dh_installdocs -X.in -X.am -XMakefile

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

# No dbgsym package:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

%:
	dh $@

## fvwm3 1.0.6a+ds

=== bin/FvwmPrompt/Makefile ===
--- 
+++ 
@@ -85,8 +85,8 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-build_triplet = x86_64-pc-linux-gnu
-host_triplet = x86_64-pc-linux-gnu
+build_triplet = aarch64-unknown-linux-gnu
+host_triplet = aarch64-unknown-linux-gnu
 subdir = bin/FvwmPrompt
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
@@ -120,24 +120,24 @@
 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
 am__DIST_COMMON = $(srcdir)/Makefile.in
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} '/home/n6tadam/projects/fvwm/fvwm3/etc/missing' aclocal-1.16
+ACLOCAL = ${SHELL} '/home/n6tadam/p/fvwm3/etc/missing' aclocal-1.16
 ALL_DOMAINS = fvwm  FvwmScript
 ALL_LINGUAS = ar da de fr sv_SE zh_CN ru es
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 0
 AR_FLAGS = 
 ASCIIDOC = asciidoctor
-AUTOCONF = ${SHELL} '/home/n6tadam/projects/fvwm/fvwm3/etc/missing' autoconf
-AUTOHEADER = ${SHELL} '/home/n6tadam/projects/fvwm/fvwm3/etc/missing' autoheader
-AUTOMAKE = ${SHELL} '/home/n6tadam/projects/fvwm/fvwm3/etc/missing' automake-1.16
-AWK = gawk
+AUTOCONF = ${SHELL} '/home/n6tadam/p/fvwm3/etc/missing' autoconf
+AUTOHEADER = ${SHELL} '/home/n6tadam/p/fvwm3/etc/missing' autoheader
+AUTOMAKE = ${SHELL} '/home/n6tadam/p/fvwm3/etc/missing' automake-1.16
+AWK = mawk
 Bidi_CFLAGS = 
 Bidi_LIBS = -lfribidi
 CATALOGS =  ar.gmo da.gmo de.gmo fr.gmo sv_SE.gmo zh_CN.gmo ru.gmo es.gmo
 CATOBJEXT = .gmo
 CC = gcc
 CCDEPMODE = depmode=gcc3
-CFLAGS = -Wall -Wno-implicit-int -fno-common -Wno-error=format-security -g -O2 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-4 -pthread 
+CFLAGS = -Wall -Wno-implicit-int -fno-common -Wno-error=format-security -g -O2 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/uuid 
 CPP = gcc -E
 CPPFLAGS = 
 CSCOPE = cscope
@@ -152,7 +152,7 @@
 EGREP = /usr/bin/grep -E
 ETAGS = etags
 EXEEXT = 
-FC_CFLAGS = -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-4 -pthread 
+FC_CFLAGS = -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/uuid 
 FC_CONFIG = no
 FC_LIBS = -lfontconfig -lfreetype 
 FRIBIDI_CONFIG = /usr/bin/pkg-config fribidi
@@ -168,16 +168,13 @@
 FVWM_DOCDIR = ${datadir}
 FVWM_DOMAIN = fvwm
 FVWM_IMAGEPATH = /usr/include/X11/bitmaps:/usr/include/X11/pixmaps
-FVWM_MODULEDIR = ${libexecdir}/fvwm3/1.0.5
+FVWM_MODULEDIR = ${libexecdir}/fvwm3/1.0.6a
 FVWM_PERLLIB = perllib
 FVWM_PERLLIBDIR = ${datadir}/fvwm3/perllib
-GDK_IMLIB_CFLAGS = 
-GDK_IMLIB_LIBS = 
 GMOFILES =  fvwm.ar.gmo FvwmScript.ar.gmo fvwm.da.gmo FvwmScript.da.gmo fvwm.de.gmo FvwmScript.de.gmo fvwm.fr.gmo FvwmScript.fr.gmo fvwm.sv_SE.gmo FvwmScript.sv_SE.gmo fvwm.zh_CN.gmo FvwmScript.zh_CN.gmo fvwm.ru.gmo FvwmScript.ru.gmo fvwm.es.gmo FvwmScript.es.gmo
 GMSGFMT = /usr/bin/msgfmt
 GO = 
 GREP = /usr/bin/grep
-IMLIBCONF = no
 INSTALL = /usr/bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
@@ -191,7 +188,7 @@
 LN_S = ln -s
 LOCALEDIR = ${datadir}/fvwm3/locale
 LTLIBOBJS = 
-MAKEINFO = ${SHELL} '/home/n6tadam/projects/fvwm/fvwm3/etc/missing' makeinfo
+MAKEINFO = ${SHELL} '/home/n6tadam/p/fvwm3/etc/missing' makeinfo
 MANPAGE_PREAMBLE = .\" WARNING: This file was automatically generated.  Edit the .in file instead.
 MKDIR_P = /usr/bin/mkdir -p
 MKINSTALLDIRS = ./etc//mkinstalldirs
@@ -202,10 +199,10 @@
 PACKAGE = fvwm3
 PACKAGE_BUGREPORT = fvwm-workers@fvwm.org
 PACKAGE_NAME = fvwm3
-PACKAGE_STRING = fvwm3 1.0.5
+PACKAGE_STRING = fvwm3 1.0.6a
 PACKAGE_TARNAME = fvwm3
 PACKAGE_URL = 
-PACKAGE_VERSION = 1.0.5
+PACKAGE_VERSION = 1.0.6a
 PATH_SEPARATOR = :
 PERL = /usr/bin/perl
 PKG_CONFIG = /usr/bin/pkg-config
@@ -215,20 +212,20 @@
 POSUB = po
 PYTHON = /usr/bin/python3
 RANLIB = ranlib
-RELDATELONG = 28 September 22
-RELDATENUM = 22-09-28
-RELDATESHORT = 28-Sep-22
+RELDATELONG = 16 January 23
+RELDATENUM = 23-01-16
+RELDATESHORT = 16-Jan-23
 REQUIRED_PERL_VERSION = 5.004
 REQUIRED_PYTHON_VERSION = 3.0
 SED = sed
 SET_MAKE = 
-SHELL = /bin/sh
+SHELL = /bin/bash
 STRIP = 
 UPDATEPOFILES =  fvwm.ar.po-update FvwmScript.ar.po-update fvwm.da.po-update FvwmScript.da.po-update fvwm.de.po-update FvwmScript.de.po-update fvwm.fr.po-update FvwmScript.fr.po-update fvwm.sv_SE.po-update FvwmScript.sv_SE.po-update fvwm.zh_CN.po-update FvwmScript.zh_CN.po-update fvwm.ru.po-update FvwmScript.ru.po-update fvwm.es.po-update FvwmScript.es.po-update
 USE_NLS = yes
-VERSION = 1.0.5
+VERSION = 1.0.6a
 VERSIONINFO = released
-XFT_CFLAGS = -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-4 -pthread 
+XFT_CFLAGS = -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/uuid 
 XFT_CONFIG = no
 XFT_LIBS = -lXft 
 XGETTEXT = /usr/bin/xgettext
@@ -241,14 +238,14 @@
 X_PRE_LIBS =  -lSM -lICE
 Xcursor_CFLAGS = 
 Xcursor_LIBS = -lXcursor
-Xft_CFLAGS = -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-4 -pthread 
+Xft_CFLAGS = -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/uuid 
 Xft_LIBS = -lXft 
 Xrender_CFLAGS = 
 Xrender_LIBS = -lXrender
-abs_builddir = /home/n6tadam/projects/fvwm/fvwm3/bin/FvwmPrompt
-abs_srcdir = /home/n6tadam/projects/fvwm/fvwm3/bin/FvwmPrompt
-abs_top_builddir = /home/n6tadam/projects/fvwm/fvwm3
-abs_top_srcdir = /home/n6tadam/projects/fvwm/fvwm3
+abs_builddir = /home/n6tadam/p/fvwm3/bin/FvwmPrompt
+abs_srcdir = /home/n6tadam/p/fvwm3/bin/FvwmPrompt
+abs_top_builddir = /home/n6tadam/p/fvwm3
+abs_top_srcdir = /home/n6tadam/p/fvwm3
 ac_ct_CC = gcc
 am__include = include
 am__leading_dot = .
@@ -256,30 +253,30 @@
 am__tar = $${TAR-tar} chof - "$$tardir"
 am__untar = $${TAR-tar} xf -
 bindir = ${exec_prefix}/bin
-build = x86_64-pc-linux-gnu
+build = aarch64-unknown-linux-gnu
 build_alias = 
-build_cpu = x86_64
+build_cpu = aarch64
 build_os = linux-gnu
-build_vendor = pc
+build_vendor = unknown
 builddir = .
 datadir = ${datarootdir}
 datarootdir = ${prefix}/share
 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
 dvidir = ${docdir}
 exec_prefix = ${prefix}
-freetype_CFLAGS = -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-4 -pthread 
+freetype_CFLAGS = -I/usr/include/freetype2 -I/usr/include/libpng16 
 freetype_LIBS = -lfreetype 
-host = x86_64-pc-linux-gnu
+host = aarch64-unknown-linux-gnu
 host_alias = 
-host_cpu = x86_64
+host_cpu = aarch64
 host_os = linux-gnu
-host_vendor = pc
+host_vendor = unknown
 htmldir = ${docdir}
 iconv_CFLAGS = 
 iconv_LIBS = 
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /home/n6tadam/projects/fvwm/fvwm3/etc/install-sh
+install_sh = ${SHELL} /home/n6tadam/p/fvwm3/etc/install-sh
 intl_CFLAGS = 
 intl_LIBS = 
 libdir = ${exec_prefix}/lib
@@ -293,14 +290,14 @@
 oldincludedir = /usr/include
 pdfdir = ${docdir}
 png_CFLAGS = -I/usr/include/libpng16 
-png_LIBS = -lpng16 -lz 
+png_LIBS = -lpng16 
 prefix = /usr/local
 program_transform_name = s,x,x,
 psdir = ${docdir}
 readline_CFLAGS = 
-readline_LIBS = -lreadline -lncurses
-rsvg_CFLAGS = -I/usr/include/librsvg-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-4 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng16 -I/usr/include/cairo -I/usr/include/lzo -I/usr/include/freetype2 -I/usr/include/harfbuzz -I/usr/include/pixman-1 -pthread 
-rsvg_LIBS = -lrsvg-2 -lm -lgio-2.0 -lgdk_pixbuf-2.0 -lgobject-2.0 -lglib-2.0 -lcairo -lpng16 -lz 
+readline_LIBS = -lreadline -ltermcap
+rsvg_CFLAGS = -I/usr/include/librsvg-2.0 -I/usr/include/glib-2.0 -I/usr/lib/aarch64-linux-gnu/glib-2.0/include -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng16 -I/usr/include/aarch64-linux-gnu -pthread -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/uuid 
+rsvg_LIBS = -lrsvg-2 -lm -lgio-2.0 -lgdk_pixbuf-2.0 -lgobject-2.0 -lglib-2.0 -lcairo 
 runstatedir = ${localstatedir}/run
 sbindir = ${exec_prefix}/sbin
 sharedstatedir = ${prefix}/com
@@ -310,22 +307,6 @@
 top_build_prefix = ../../
 top_builddir = ../..
 top_srcdir = ../..
-with_bidi = yes
-with_gdkimlib = no
-with_gettext = yes
-with_iconv = yes
-with_perllib = yes
-with_png = yes
-with_readline = yes
-with_rsvg = yes
-with_shape = yes
-with_shm = yes
-with_sm = yes
-with_xcursor = yes
-with_xft = yes
-with_xpm = yes
-with_xrandr = 
-with_xrender = yes
 xpm_CFLAGS = 
 xpm_LIBS = -lXpm
 xrandr_CFLAGS = 
@@ -349,3 +330,21 @@
 	      exit 1;; \
 	  esac; \
 	done; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign bin/FvwmPrompt/Makefile'; \
+	$(am__cd) $(top_srcdir) && \
+	  $(AUTOMAKE) --foreign bin/FvwmPrompt/Makefile
+Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+	@case '$?' in \
+	  *config.status*) \
+	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
+	  *) \
+	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
+	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
+	esac;
+
+$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+
+$(top_srcdir)/configure:  $(am__configure_deps)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+$(ACLOCAL_M4):  $(am__aclocal_m4_deps)

=== debian/changelog ===
fvwm3 (1.0.6a+ds-1) unstable; urgency=low

  * New upstream release.
  * Refresh Debian patches and remove patches applied upstream.
  * Update Debian standards version to 4.6.2.
  * Update end year in debian/copyright to 2023.

 -- Jaimos Skriletz <jaimosskriletz@gmail.com>  Tue, 17 Jan 2023 01:09:09 -0700

fvwm3 (1.0.5+ds-2) unstable; urgency=low

  * Add alternatives for fvwm-menu-desktop, fvwm-menu-directory,
    fvwm-root, fvwm-perllib, and FvwmCommand to work with fvwm,
    and Break versions of fvwm before alternatives were used.
  * Remove optional obsolete build depends.

 -- Jaimos Skriletz <jaimosskriletz@gmail.com>  Thu, 20 Oct 2022 23:00:00 -0600

=== debian/control ===
Source: fvwm3
Section: x11
Priority: optional
Maintainer: Jaimos Skriletz <jaimosskriletz@gmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper (>= 13.0.0),
               debhelper-compat (= 13),
               asciidoctor,
               file,
               fontconfig,
               gettext,
               libevent-dev,
               libfontconfig-dev,
               libfreetype-dev,
               libfribidi-dev (>= 0.10.7),
               libncurses-dev,
               libpng-dev,
               libreadline-dev,
               librsvg2-dev (>= 2.13.92),
               libsm-dev,
               libx11-dev,
               libxcursor-dev,
               libxext-dev,
               libxft-dev,
               libxi-dev,
               libxpm-dev,
               libxrandr-dev,
               libxrender-dev,
               libxt-dev,
               pkg-config
Standards-Version: 4.6.2
Homepage: https://www.fvwm.org/
Vcs-Browser: https://github.com/somiaj/fvwm3-debian
Vcs-Git: https://github.com/somiaj/fvwm3-debian.git

Package: fvwm3
Architecture: any
Depends: libperl4-corelibs-perl,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxmenu-data | gnome-menus,
            python3,
            python3-xdg
Suggests: stalonetray
Provides: x-window-manager
Breaks: fvwm (<= 1:2.6.9)
Description: F(?) Virtual Window Manager
 FVWM3 is a powerful ICCCM2 compliant multiple virtual desktop window manager
 for the X Window System. FVWM3 is the successor to FVWM 2.x, which was
 originally (a looooong time ago!) derived from TWM. FVWM3 is intended to have
 a small memory footprint but a rich feature set, be extremely customizable
 and extendible, and have a high degree of Motif MWM compatibility.

=== debian/rules ===
--- 
+++ 
@@ -27,9 +27,5 @@
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG.md
 
-# No dbgsym package:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 %:
 	dh $@

## fvwm3 1.1.0+ds

=== bin/FvwmPrompt/Makefile ===
--- 
+++ 
@@ -85,8 +85,8 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-build_triplet = aarch64-unknown-linux-gnu
-host_triplet = aarch64-unknown-linux-gnu
+build_triplet = x86_64-pc-linux-gnu
+host_triplet = x86_64-pc-linux-gnu
 subdir = bin/FvwmPrompt
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
@@ -120,24 +120,24 @@
 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
 am__DIST_COMMON = $(srcdir)/Makefile.in
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} '/home/n6tadam/p/fvwm3/etc/missing' aclocal-1.16
+ACLOCAL = ${SHELL} '/home/n6tadam/projects/fvwm/fvwm3/etc/missing' aclocal-1.16
 ALL_DOMAINS = fvwm  FvwmScript
 ALL_LINGUAS = ar da de fr sv_SE zh_CN ru es
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 0
 AR_FLAGS = 
 ASCIIDOC = asciidoctor
-AUTOCONF = ${SHELL} '/home/n6tadam/p/fvwm3/etc/missing' autoconf
-AUTOHEADER = ${SHELL} '/home/n6tadam/p/fvwm3/etc/missing' autoheader
-AUTOMAKE = ${SHELL} '/home/n6tadam/p/fvwm3/etc/missing' automake-1.16
-AWK = mawk
+AUTOCONF = ${SHELL} '/home/n6tadam/projects/fvwm/fvwm3/etc/missing' autoconf
+AUTOHEADER = ${SHELL} '/home/n6tadam/projects/fvwm/fvwm3/etc/missing' autoheader
+AUTOMAKE = ${SHELL} '/home/n6tadam/projects/fvwm/fvwm3/etc/missing' automake-1.16
+AWK = gawk
 Bidi_CFLAGS = 
 Bidi_LIBS = -lfribidi
 CATALOGS =  ar.gmo da.gmo de.gmo fr.gmo sv_SE.gmo zh_CN.gmo ru.gmo es.gmo
 CATOBJEXT = .gmo
 CC = gcc
 CCDEPMODE = depmode=gcc3
-CFLAGS = -Wall -Wno-implicit-int -fno-common -Wno-error=format-security -g -O2 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/uuid 
+CFLAGS = -Wall -Wno-implicit-int -fno-common -Wno-error=format-security -g -O2 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-6 -pthread
 CPP = gcc -E
 CPPFLAGS = 
 CSCOPE = cscope
@@ -152,9 +152,9 @@
 EGREP = /usr/bin/grep -E
 ETAGS = etags
 EXEEXT = 
-FC_CFLAGS = -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/uuid 
+FC_CFLAGS = -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-6 -pthread
 FC_CONFIG = no
-FC_LIBS = -lfontconfig -lfreetype 
+FC_LIBS = -lfontconfig -lfreetype
 FRIBIDI_CONFIG = /usr/bin/pkg-config fribidi
 FVWMHOMEPAGE = http://fvwm.org/
 FVWMLIST = fvwm@fvwm.org
@@ -165,10 +165,10 @@
 FVWMWORKERSLISTLONG = fvwm workers list <fvwm-workers@fvwm.org>
 FVWM_CONFDIR = ${sysconfdir}
 FVWM_DATADIR = ${datadir}/fvwm3
-FVWM_DOCDIR = ${datadir}
+FVWM_DOCDIR = ${datadir}/fvwm3/htmldoc
 FVWM_DOMAIN = fvwm
 FVWM_IMAGEPATH = /usr/include/X11/bitmaps:/usr/include/X11/pixmaps
-FVWM_MODULEDIR = ${libexecdir}/fvwm3/1.0.6a
+FVWM_MODULEDIR = ${libexecdir}/fvwm3/1.1.0
 FVWM_PERLLIB = perllib
 FVWM_PERLLIBDIR = ${datadir}/fvwm3/perllib
 GMOFILES =  fvwm.ar.gmo FvwmScript.ar.gmo fvwm.da.gmo FvwmScript.da.gmo fvwm.de.gmo FvwmScript.de.gmo fvwm.fr.gmo FvwmScript.fr.gmo fvwm.sv_SE.gmo FvwmScript.sv_SE.gmo fvwm.zh_CN.gmo FvwmScript.zh_CN.gmo fvwm.ru.gmo FvwmScript.ru.gmo fvwm.es.gmo FvwmScript.es.gmo
@@ -184,11 +184,11 @@
 ISRELEASED = 
 LDFLAGS = 
 LIBOBJS = 
-LIBS =  -lfontconfig -lfreetype 
+LIBS =  -lfontconfig -lfreetype
 LN_S = ln -s
 LOCALEDIR = ${datadir}/fvwm3/locale
 LTLIBOBJS = 
-MAKEINFO = ${SHELL} '/home/n6tadam/p/fvwm3/etc/missing' makeinfo
+MAKEINFO = ${SHELL} '/home/n6tadam/projects/fvwm/fvwm3/etc/missing' makeinfo
 MANPAGE_PREAMBLE = .\" WARNING: This file was automatically generated.  Edit the .in file instead.
 MKDIR_P = /usr/bin/mkdir -p
 MKINSTALLDIRS = ./etc//mkinstalldirs
@@ -199,35 +199,36 @@
 PACKAGE = fvwm3
 PACKAGE_BUGREPORT = fvwm-workers@fvwm.org
 PACKAGE_NAME = fvwm3
-PACKAGE_STRING = fvwm3 1.0.6a
+PACKAGE_STRING = fvwm3 1.1.0
 PACKAGE_TARNAME = fvwm3
 PACKAGE_URL = 
-PACKAGE_VERSION = 1.0.6a
+PACKAGE_VERSION = 1.1.0
 PATH_SEPARATOR = :
 PERL = /usr/bin/perl
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
 PKG_CONFIG_PATH = 
+PLATFORM = unknown
 POFILES =  fvwm.ar.po FvwmScript.ar.po fvwm.da.po FvwmScript.da.po fvwm.de.po FvwmScript.de.po fvwm.fr.po FvwmScript.fr.po fvwm.sv_SE.po FvwmScript.sv_SE.po fvwm.zh_CN.po FvwmScript.zh_CN.po fvwm.ru.po FvwmScript.ru.po fvwm.es.po FvwmScript.es.po
 POSUB = po
 PYTHON = /usr/bin/python3
 RANLIB = ranlib
-RELDATELONG = 16 January 23
-RELDATENUM = 23-01-16
-RELDATESHORT = 16-Jan-23
+RELDATELONG = 30 March 24
+RELDATENUM = 24-03-30
+RELDATESHORT = 30-Mar-24
 REQUIRED_PERL_VERSION = 5.004
 REQUIRED_PYTHON_VERSION = 3.0
 SED = sed
 SET_MAKE = 
-SHELL = /bin/bash
+SHELL = /bin/sh
 STRIP = 
 UPDATEPOFILES =  fvwm.ar.po-update FvwmScript.ar.po-update fvwm.da.po-update FvwmScript.da.po-update fvwm.de.po-update FvwmScript.de.po-update fvwm.fr.po-update FvwmScript.fr.po-update fvwm.sv_SE.po-update FvwmScript.sv_SE.po-update fvwm.zh_CN.po-update FvwmScript.zh_CN.po-update fvwm.ru.po-update FvwmScript.ru.po-update fvwm.es.po-update FvwmScript.es.po-update
 USE_NLS = yes
-VERSION = 1.0.6a
+VERSION = 1.1.0
 VERSIONINFO = released
-XFT_CFLAGS = -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/uuid 
+XFT_CFLAGS = -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-6 -pthread
 XFT_CONFIG = no
-XFT_LIBS = -lXft 
+XFT_LIBS = -lXft
 XGETTEXT = /usr/bin/xgettext
 XMKMF = 
 XRandR_CFLAGS = 
@@ -238,14 +239,14 @@
 X_PRE_LIBS =  -lSM -lICE
 Xcursor_CFLAGS = 
 Xcursor_LIBS = -lXcursor
-Xft_CFLAGS = -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/uuid 
-Xft_LIBS = -lXft 
+Xft_CFLAGS = -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-6 -pthread
+Xft_LIBS = -lXft
 Xrender_CFLAGS = 
 Xrender_LIBS = -lXrender
-abs_builddir = /home/n6tadam/p/fvwm3/bin/FvwmPrompt
-abs_srcdir = /home/n6tadam/p/fvwm3/bin/FvwmPrompt
-abs_top_builddir = /home/n6tadam/p/fvwm3
-abs_top_srcdir = /home/n6tadam/p/fvwm3
+abs_builddir = /home/n6tadam/projects/fvwm/fvwm3/bin/FvwmPrompt
+abs_srcdir = /home/n6tadam/projects/fvwm/fvwm3/bin/FvwmPrompt
+abs_top_builddir = /home/n6tadam/projects/fvwm/fvwm3
+abs_top_srcdir = /home/n6tadam/projects/fvwm/fvwm3
 ac_ct_CC = gcc
 am__include = include
 am__leading_dot = .
@@ -253,35 +254,35 @@
 am__tar = $${TAR-tar} chof - "$$tardir"
 am__untar = $${TAR-tar} xf -
 bindir = ${exec_prefix}/bin
-build = aarch64-unknown-linux-gnu
+build = x86_64-pc-linux-gnu
 build_alias = 
-build_cpu = aarch64
+build_cpu = x86_64
 build_os = linux-gnu
-build_vendor = unknown
+build_vendor = pc
 builddir = .
 datadir = ${datarootdir}
 datarootdir = ${prefix}/share
 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
 dvidir = ${docdir}
 exec_prefix = ${prefix}
-freetype_CFLAGS = -I/usr/include/freetype2 -I/usr/include/libpng16 
-freetype_LIBS = -lfreetype 
-host = aarch64-unknown-linux-gnu
+freetype_CFLAGS = -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-6 -pthread
+freetype_LIBS = -lfreetype
+host = x86_64-pc-linux-gnu
 host_alias = 
-host_cpu = aarch64
+host_cpu = x86_64
 host_os = linux-gnu
-host_vendor = unknown
+host_vendor = pc
 htmldir = ${docdir}
 iconv_CFLAGS = 
 iconv_LIBS = 
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /home/n6tadam/p/fvwm3/etc/install-sh
+install_sh = ${SHELL} /home/n6tadam/projects/fvwm/fvwm3/etc/install-sh
 intl_CFLAGS = 
 intl_LIBS = 
 libdir = ${exec_prefix}/lib
 libevent_CFLAGS = 
-libevent_LIBS = -levent 
+libevent_LIBS = -levent
 libexecdir = ${exec_prefix}/libexec
 localedir = ${datarootdir}/locale
 localstatedir = ${prefix}/var
@@ -289,15 +290,15 @@
 mkdir_p = $(MKDIR_P)
 oldincludedir = /usr/include
 pdfdir = ${docdir}
-png_CFLAGS = -I/usr/include/libpng16 
-png_LIBS = -lpng16 
+png_CFLAGS = -I/usr/include/libpng16
+png_LIBS = -lpng16
 prefix = /usr/local
 program_transform_name = s,x,x,
 psdir = ${docdir}
 readline_CFLAGS = 
-readline_LIBS = -lreadline -ltermcap
-rsvg_CFLAGS = -I/usr/include/librsvg-2.0 -I/usr/include/glib-2.0 -I/usr/lib/aarch64-linux-gnu/glib-2.0/include -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng16 -I/usr/include/aarch64-linux-gnu -pthread -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/uuid 
-rsvg_LIBS = -lrsvg-2 -lm -lgio-2.0 -lgdk_pixbuf-2.0 -lgobject-2.0 -lglib-2.0 -lcairo 
+readline_LIBS = -lreadline -lncurses
+rsvg_CFLAGS = -I/usr/include/librsvg-2.0 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libpng16 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/harfbuzz -I/usr/include/sysprof-6 -pthread -I/usr/include/pixman-1
+rsvg_LIBS = -lrsvg-2 -lm -lgio-2.0 -lgdk_pixbuf-2.0 -lgobject-2.0 -lglib-2.0 -lcairo -lpng16
 runstatedir = ${localstatedir}/run
 sbindir = ${exec_prefix}/sbin
 sharedstatedir = ${prefix}/com
@@ -310,14 +311,14 @@
 xpm_CFLAGS = 
 xpm_LIBS = -lXpm
 xrandr_CFLAGS = 
-xrandr_LIBS = -lXrandr 
-xt_CFLAGS = 
-xt_LIBS = -lXt -lX11 
-#GOCMD = go
-#GOBUILD = $(GOCMD) build
-#GOFLAGS = -ldflags="-s -w"
-#GOCLEAN = $(GOCMD) clean
-#BINARY_NAME = FvwmPrompt
+xrandr_LIBS = -lXrandr
+xt_CFLAGS = -I/usr/include/uuid
+xt_LIBS = -lXt -lX11
+GOCMD = go
+GOBUILD = $(GOCMD) build
+GOFLAGS = -ldflags="-s -w"
+GOCLEAN = $(GOCMD) clean
+BINARY_NAME = FvwmPrompt
 all: all-am
 
 .SUFFIXES:
@@ -337,14 +338,3 @@
 	@case '$?' in \
 	  *config.status*) \
 	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
-	  *) \
-	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
-	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
-	esac;
-
-$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
-	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-
-$(top_srcdir)/configure:  $(am__configure_deps)
-	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-$(ACLOCAL_M4):  $(am__aclocal_m4_deps)

=== debian/changelog ===
fvwm3 (1.1.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump standards to 4.7.0.
    - Update comment for how x-window-manager priority is computed.
  * Update obsolete build depends, pkg-config -> pkgconf.
  * Remove debian/desktop/fvwm3.desktop in favor of upstream file.
  * Build html docs, and move them to /usr/share/doc/fvwm3/htmldoc.
  * Update debian/copyright to correctly state the main license is
    GPL-2+, and document the copyright and licenses for source in libs/
    which are not GPL-2+.
  * Add ${perl:Depends} to the depends package list.
  * Upstream version fixes gcc-14 build issue (Closes: #1074975).
  * Remove trailing slash from Files-Excluded.

 -- Jaimos Skriletz <jaimosskriletz@gmail.com>  Thu, 25 Jul 2024 10:27:03 -0600

=== debian/control ===
--- 
+++ 
@@ -27,8 +27,8 @@
                libxrandr-dev,
                libxrender-dev,
                libxt-dev,
-               pkg-config
-Standards-Version: 4.6.2
+               pkgconf
+Standards-Version: 4.7.0
 Homepage: https://www.fvwm.org/
 Vcs-Browser: https://github.com/somiaj/fvwm3-debian
 Vcs-Git: https://github.com/somiaj/fvwm3-debian.git
@@ -36,12 +36,13 @@
 Package: fvwm3
 Architecture: any
 Depends: libperl4-corelibs-perl,
+         ${perl:Depends},
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Recommends: lxmenu-data | gnome-menus,
             python3,
             python3-xdg
-Suggests: stalonetray
+Suggests: stalonetray, doc-base
 Provides: x-window-manager
 Breaks: fvwm (<= 1:2.6.9)
 Description: F(?) Virtual Window Manager

=== debian/rules ===
--- 
+++ 
@@ -11,15 +11,17 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 override_dh_auto_configure:
-	dh_auto_configure -- --verbose --disable-imlibtest --with-imlib-prefix=/no/dir --with-readline-library=yes --enable-mandoc --program-transform-name='/vwm[^3]/ s/vwm/vwm3/'
+	dh_auto_configure -- --verbose --disable-imlibtest --with-imlib-prefix=/no/dir --with-readline-library=yes --enable-mandoc --enable-htmldoc --program-transform-name='/vwm[^3]/ s/vwm/vwm3/'
 
 override_dh_install:
 	dh_install
 
 override_dh_installman:
 	dh_installman
-	# Remove FvwmPrompt manual page, since binary isn't included.
-	cd $(CURDIR)/debian/fvwm3/usr/share/man/man1 && rm Fvwm3Prompt.1
+	# Move htmldoc to /usr/share/doc/fvwm3 and link to them.
+	cd $(CURDIR)/debian/fvwm3/usr/share/fvwm3 \
+		&& mv htmldoc ../doc/fvwm3 \
+		&& ln -fs ../doc/fvwm3/htmldoc .
 
 override_dh_installdocs:
 	dh_installdocs -X.in -X.am -XMakefile

## fvwm3 1.1.1+ds

=== debian/changelog ===
fvwm3 (1.1.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Add libxkbcommon-dev to build-depends so the deprecated
    fall back XKeycodeToKeysym() is not used when building.
  * Rename NEWS to README.Debian to document the differences
    between upstream source and the Debian package.
  * Update package to build using the meson build system.
  * Add libxfixes-dev to build-depends (adds support for the
    new CursorBarrier feature).

 -- Jaimos Skriletz <jaimosskriletz@gmail.com>  Sat, 30 Nov 2024 17:18:23 -0600

=== debian/control ===
--- 
+++ 
@@ -21,12 +21,15 @@
                libx11-dev,
                libxcursor-dev,
                libxext-dev,
+               libxfixes-dev,
                libxft-dev,
                libxi-dev,
+               libxkbcommon-dev,
                libxpm-dev,
                libxrandr-dev,
                libxrender-dev,
                libxt-dev,
+               meson (>= 1.5.1),
                pkgconf
 Standards-Version: 4.7.0
 Homepage: https://www.fvwm.org/

## fvwm3 1.1.2+ds

=== debian/changelog ===
fvwm3 (1.1.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/ copyright to 2025.
  * Update standards version 4.7.0 -> 4.7.1 (nothing to do).

 -- Jaimos Skriletz <jaimosskriletz@gmail.com>  Sat, 22 Feb 2025 11:47:35 -0700

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
                libxt-dev,
                meson (>= 1.5.1),
                pkgconf
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://www.fvwm.org/
 Vcs-Browser: https://github.com/somiaj/fvwm3-debian
 Vcs-Git: https://github.com/somiaj/fvwm3-debian.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Do no nothing here, to keep build from from using autotools.
override_dh_autoreconf:

override_dh_auto_configure:
	dh_auto_configure -- -Dgolang=disabled -Dhtmldoc=true -Dmandoc=true

override_dh_install:
	dh_install
	# Rename fvwm helper binaries to install along side fvwm package.
	cd $(CURDIR)/debian/fvwm3/usr/bin; \
	mv FvwmCommand Fvwm3Command; \
	for name in convert-2.6 menu-desktop menu-directory menu-xlock \
		perllib root; \
	do \
		mv fvwm-$$name fvwm3-$$name; \
	done

override_dh_installman:
	dh_installman
	# Rename fvwm3 manpages to install along side fvwm package.
	cd $(CURDIR)/debian/fvwm3/usr/share/man/man1; \
	for module in Animate Auto Backer Buttons Command Console Event \
		Form IconMan Ident MFL Pager Perl Rearrange Script; \
	do \
		mv Fvwm$$module.1 Fvwm3$$module.1; \
	done; \
	for name in convert-2.6 menu-desktop menu-directory menu-xlock \
		perllib root; \
	do \
		mv fvwm-$$name.1 fvwm3-$$name.1; \
	done

override_dh_installdocs:
	dh_installdocs -X.in -X.am -XMakefile

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

%:
	dh $@ --buildsystem=meson

## fvwm3 1.1.3%2Bds

=== debian/changelog ===
fvwm3 (1.1.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * fvwm3 removed autotools support, so removed any remaining autotools
    references in debian/rules.
  * Upstream fixed issue with broadcasting icon title to modules.
    Closes: #1103613
  * Bump standards version to 4.7.2. Nothing to do.
  * Remove old FSF physical address and supply a link for a copy
    of the LGPL-2+ license in the debian/copyright file.

 -- Jaimos Skriletz <jaimosskriletz@gmail.com>  Sun, 05 Oct 2025 12:22:46 -0600

## fvwm3 1.1.3+ds

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
                libxt-dev,
                meson (>= 1.5.1),
                pkgconf
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://www.fvwm.org/
 Vcs-Browser: https://github.com/somiaj/fvwm3-debian
 Vcs-Git: https://github.com/somiaj/fvwm3-debian.git

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-
-# Do no nothing here, to keep build from from using autotools.
-override_dh_autoreconf:
 
 override_dh_auto_configure:
 	dh_auto_configure -- -Dgolang=disabled -Dhtmldoc=true -Dmandoc=true
@@ -38,10 +35,10 @@
 	done
 
 override_dh_installdocs:
-	dh_installdocs -X.in -X.am -XMakefile
+	dh_installdocs
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG.md
 
 %:
-	dh $@ --buildsystem=meson
+	dh $@

=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds//,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/fvwm3-$1\.tar\.gz/ \
  https://github.com/fvwmorg/fvwm3/tags .*/v?(\d\S+)\.tar\.gz

## fvwm3 1.1.4+ds

=== debian/changelog ===
fvwm3 (1.1.4+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Jaimos Skriletz <jaimosskriletz@gmail.com>  Sat, 20 Dec 2025 13:29:57 -0700
